petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetSaveTrajectory

Causes the TS to save its solutions as it iterates forward in time in a TSTrajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetSaveTrajectory(TS ts)

Collective on TS Many br

### Input Parameters

ts -the TS context obtained from TSCreate() Many br

Note: This routine should be called after all TS options have been set Many br

Many br

### See Also

TSGetTrajectory(), TSAdjointSolve()

### Keywords

TS, set, checkpoint,

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html